From 8746f6f2e984ab4b40f7386bea6220b2ebd875d9 Mon Sep 17 00:00:00 2001
From: Roman Shaposhnik <rvs@apache.org>
Date: Wed, 8 Mar 2017 18:57:05 -0800
Subject: [PATCH] Enabling atomics on ARM64

---
 src/include/port/atomics/arch-arm.h | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/include/port/atomics/arch-arm.h b/src/include/port/atomics/arch-arm.h
index 563531c..ada044e 100644
--- a/src/include/port/atomics/arch-arm.h
+++ b/src/include/port/atomics/arch-arm.h
@@ -19,7 +19,8 @@
 
 /*
  * 64 bit atomics on arm are implemented using kernel fallbacks and might be
- * slow, so disable entirely for now.
- * XXX: We might want to change that at some point for AARCH64
+ * slow, so disable entirely for now, unless we're on ARM64.
  */
+#if !defined(__aarch64__) && !defined(__aarch64)
 #define PG_DISABLE_64_BIT_ATOMICS
+#endif  /* __aarch64__ || __aarch64 */
-- 
2.0.4

